curl --request POST \
--url https://api.wirespeed.co/v1/endpoint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size": 123,
"page": 123,
"search": "<string>",
"orderBy": "<string>",
"hvaOnly": true,
"onlyContained": true,
"userId": "<string>",
"showUnmanagedEndpoints": true,
"operatingSystemCategories": [],
"onlyLive": true,
"integrationIds": [
"<string>"
],
"groupIds": [
"<string>"
],
"searchAttributeKey": "<string>",
"dedupeCanonicalRoots": true,
"onlyCanonicalClustersWithDuplicates": true,
"teamId": "<string>",
"canonicalClusterOfEndpointId": "<string>"
}
'import requests
url = "https://api.wirespeed.co/v1/endpoint"
payload = {
"size": 123,
"page": 123,
"search": "<string>",
"orderBy": "<string>",
"hvaOnly": True,
"onlyContained": True,
"userId": "<string>",
"showUnmanagedEndpoints": True,
"operatingSystemCategories": [],
"onlyLive": True,
"integrationIds": ["<string>"],
"groupIds": ["<string>"],
"searchAttributeKey": "<string>",
"dedupeCanonicalRoots": True,
"onlyCanonicalClustersWithDuplicates": True,
"teamId": "<string>",
"canonicalClusterOfEndpointId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
size: 123,
page: 123,
search: '<string>',
orderBy: '<string>',
hvaOnly: true,
onlyContained: true,
userId: '<string>',
showUnmanagedEndpoints: true,
operatingSystemCategories: [],
onlyLive: true,
integrationIds: ['<string>'],
groupIds: ['<string>'],
searchAttributeKey: '<string>',
dedupeCanonicalRoots: true,
onlyCanonicalClustersWithDuplicates: true,
teamId: '<string>',
canonicalClusterOfEndpointId: '<string>'
})
};
fetch('https://api.wirespeed.co/v1/endpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"displayName": "<string>",
"teamId": "<string>",
"hva": true,
"createdAt": "<string>",
"integrationId": "<string>",
"contained": true,
"workstation": true,
"server": true,
"mobile": true,
"domainController": true,
"groups": [
{
"id": "<string>",
"endpointId": "<string>",
"group": "<string>",
"teamId": "<string>",
"enabled": true,
"createdAt": "<string>",
"overriddenByUser": true,
"groupId": "<string>",
"overriddenByUserId": "<string>",
"overriddenByUserIdentifier": "<string>",
"groupName": "<string>",
"groupSlug": "<string>",
"groupContainmentEnabled": true,
"groupChatOpsEnabled": true,
"groupSourceSystemUpdates": true,
"groupAlwaysNotify": true,
"groupRuleSearch": "<string>",
"groupRuleSearchField": "<string>"
}
],
"groupContainmentEnabled": true,
"groupChatOpsEnabled": true,
"groupSourceSystemUpdates": true,
"groupsSynced": true,
"integrationPlatform": "<string>",
"edrSourceId": "<string>",
"mdmSourceId": "<string>",
"name": "<string>",
"hvaOverriddenByUser": true,
"privateIpAddress": "<string>",
"live": true,
"operatingSystem": "<string>",
"canonicalId": "<string>",
"canonicalClusterMemberCount": 123,
"canonicalClusterMembers": [
{
"id": "22222222-2222-2222-2222-222222222201",
"displayLabel": "WS-SAMPLE-BRAVO-WKS$",
"integrationId": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeee0002",
"integrationPlatform": "sentinel-one",
"name": "WS-SAMPLE-BRAVO-WKS$",
"managed": true,
"live": true,
"operatingSystem": "Windows11 - 23H2",
"createdAt": "2025-01-02T00:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
},
{
"id": "22222222-2222-2222-2222-222222222202",
"displayLabel": "WS-SAMPLE-CHARLIE-WKS$",
"integrationId": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeee0003",
"integrationPlatform": "crowdstrike-falcon",
"name": "WS-SAMPLE-CHARLIE-WKS$",
"managed": true,
"live": true,
"operatingSystem": "Windows 10 Enterprise 22H2 (OS build 19045.4046)",
"createdAt": "2025-01-03T00:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}
],
"managed": true,
"publicIpAddress": "<string>",
"lastSeenAt": "<string>",
"updatedAt": "<string>",
"raw": {},
"lockPin": "<string>",
"teamName": "<string>",
"canonicalClusterSearchMatchMemberId": "<string>"
}
],
"totalCount": 123
}{
"message": "<string>",
"statusCode": 123
}Search endpoints
Search and filter endpoints with pagination support. Can filter by Critical Asset status, IP, user, and managed status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Field to filter Critical Asset automation by
name, OS, ip, edr_id, mdm_id, integration_source_id, custom_attribute asc, desc Only return Critical Assets
Only return currently contained endpoints
Filter by specific user ID
Include unmanaged endpoints in results
Filter by OS categories (supports multiple)
Windows, Windows Server, macOS, Linux, iOS, Android, ChromeOS, Network Device, Other Only return live/online endpoints
Filter by integration IDs (supports multiple)
Filter by group IDs (supports multiple)
Operator for combining multiple group filters. "and" = must be in ALL groups, "or" = must be in ANY group. Defaults to "or".
and, or Custom attribute key to match when filter is custom_attribute (dot-separated path e.g. "labels")
When true, return only canonical representative rows (canonical_id IS NULL)
When true together with dedupeCanonicalRoots, return only canonical roots that have at least one merged duplicate from another source
Filter endpoints by team ID (for service providers)
When set, return only endpoint rows in the canonical cluster containing this id (root or child)

